// note to self
// vClockHUD is for the mission timer countdown. not to be confused with a clock that tells time like vTimeHUD which tells the time of day

function ClockHud::create()
{
	if ( $ClockHud::Loaded )
		return;
		
	$ClockHud::Loaded = true;
	
	vhud::create( "vhud::vClockHud", "20% 20%", "20% 20%", vhud::ClockHud::onrender, true );
	HUD::New("vhud::vClockHud", 295, 0, 70, 25);
}

function vhud::ClockHud::onrender()
{
	if($Scriptgl::CurrentGui != "playGui")
		return;

	if(!Control::getVisible("vhud::vClockHud"))
		return;
		
	%pos = Control::getposition("vhud::vClockHud");
	%x = getWord(%pos,0);
	%y = getWord(%pos,1);
	%size = Control::getExtent("vhud::vClockHud");
	%dx = getWord(%size,0);
	%dy = getWord(%size,1);
	
	glColor4ub( 255,  255,  255,  255 );
	glSetFont( "arial", 10, 0, 9 );
	
	%mins = $vClockHud[min];
	%secs = $vClockHud[sec];
	%then = $vClockHud[when];
	%now = getSimtime();
	%dt = %now - %then;
	
	while(%dt > 60)
	{
		%mins--;
		%dt -= 60;
	}
	
	%secs = (%secs - %dt);
	
	if(%secs < 0)
	{
		%mins--;
		%secs  += 60;
	}
	if(%mins < 0)
	{
		%text = "00:00.0";
		glDrawString(%x + 5, %y + 8, %text);
		return;
	}
	
	if(%mins < 10)
		%mins = "0" ~ %mins;
		
	if(%secs < 10)
		%secs = "0" ~ %secs;
		
	%secs = string::getsubstr(%secs, 0, 4); //xx.x
		
	%text = %mins ~ ":" ~ %secs;

	glDrawString(%x + 5, %y + 8, %text);
	
}

function vClockHud::OnSetTime(%minutes, %seconds)
{
	$vClockHud[min] = %minutes;
	$vClockHud[sec] = %seconds+1;
	$vClockHud[when] = getsimtime();
}



ClockHud::create();
Event::Attach(eventUpdateTime, vClockHud::OnSetTime);