$vhud::ctf::Texture::Friendly[taken]	 = "flag.friend.taken.png";
$vhud::ctf::Texture::Friendly[home]		 = "flag.friend.png";
$vhud::ctf::Texture::Friendly[dropped]	 = "flag.dropped.png";

$vhud::ctf::Texture::Enemy[home]		 = "flag.nmy.png";
$vhud::ctf::Texture::Enemy[taken]		 = "flag.nmy.taken.png";
$vhud::ctf::Texture::Enemy[dropped]		 = "flag.dropped.png";


function vhud::ctf::create()
{
	if ( $vCtfHud::Loaded )
		return;
		
	$vCtfHud::Loaded = true;
	
	vhud::create( "ScriptGL::vCtfHud", "0% 0%", "0% 0%", vhud::ctf::onrender );
	HUD::New("ScriptGL::vCtfHud", 595, 0, 400, 25);
}

vhud::ctf::create( );
	
function vhud::ctf::onrender( ) 
{
	if($Scriptgl::CurrentGui != "playGui")
		return;
		
	//we need to have it visible don't we?
	if(!Control::getVisible("ScriptGL::vCtfHud"))
		return;

	switch($pref::vhud::ctf::style)
	{
		case "1":
			vhud::ctf::render::vertical(); break;
		case "0":
			vhud::ctf::render::horizontal(); break;
		default:
			vhud::ctf::render::vertical(); break;
			glDrawString(%x,%y, "CTF RENDERING STYLE UNDEFINED?"); break;
	}
}

function vhud::ctf::render::vertical()
{
	//get position the default tribes hud way
	$vhud::ctf::Position = Control::getposition("ScriptGL::vCtfHud");
	%x = getWord($vhud::ctf::Position,0);
	%y = getWord($vhud::ctf::Position,1);
		
	glSetFont( "arial", 11, 0, 9 );
	
	switch(Team::Flag::Location(Team::Friendly()))
	{
		case "field":
			glColor4ub( 247,  250,  5,  255 );
			glDrawString(%x + 55, %y + 7, "Dropped "@Team::Flag::Timer(Team::Friendly()));
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x + 35, %y + 7, Team::Score(Team::Friendly()));
			glDrawTexture($vhud::ctf::Texture::Friendly[dropped], $GLEX_DRAW, %x + 5, %y + 4 );
			break;
		case "home":
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x+55, %y + 7, Team::Flag::Location(Team::Friendly()));
			glDrawString(%x+35, %y + 7, Team::Score(Team::Friendly()));
			glDrawTexture($vhud::ctf::Texture::Friendly[home], $GLEX_DRAW, %x + 5, %y + 4 );
			break;		
		default:
			glColor4ub( 255,  0,  0,  255 );
			glEnable($GL_SCISSOR_TEST);
			glScissor(%x+55, %y + 7, 150, 16);
			glDrawString(%x+55, %y + 7, Client::getName(Team::Flag::Location(Team::Friendly())));
			glDisable($GL_SCISSOR_TEST);
			glColor4ub( 255,  255,  255,  255 );
			glDrawTexture($vhud::ctf::Texture::Friendly[taken], $GLEX_DRAW, %x + 5, %y + 4 );
			glDrawString(%x+35, %y + 7, Team::Score(Team::Friendly()));

			break;
	}
	switch(Team::Flag::Location(Team::Enemy()))
	{
		case "field":
			glColor4ub( 247,  250,  5,  255 );
			glDrawString(%x+55,%y + 30, "Dropped "@Team::Flag::Timer(Team::Enemy()));
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x+35,%y + 30, Team::Score(Team::Enemy()));
			glDrawTexture($vhud::ctf::Texture::Friendly[dropped], $GLEX_DRAW, %x + 5, %y + 27 );
			break;
		case "home":
			glDrawString(%x+55,%y + 30, Team::Flag::Location(Team::Enemy()));
			glDrawString(%x+35,%y + 30, Team::Score(Team::Enemy()));
			glDrawTexture($vhud::ctf::Texture::Enemy[home], $GLEX_DRAW, %x + 5, %y + 27 );
			break;		
		default:
			glColor4ub( 0,  255,  0,  255 );
			glEnable($GL_SCISSOR_TEST);
			glScissor(%x+55,%y + 30, 150, 16);
			glDrawString(%x+55,%y + 30, Client::getName(Team::Flag::Location(Team::Enemy())));
			glDisable($GL_SCISSOR_TEST);
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x+35,%y + 30, Team::Score(Team::Enemy()));
			glDrawTexture($vhud::ctf::Texture::Enemy[taken], $GLEX_DRAW, %x + 5, %y + 27 );
			break;
	}
}

function vhud::ctf::render::horizontal()
{
	//get position the default tribes hud way
	$vhud::ctf::Position = Control::getposition("ScriptGL::vCtfHud");
	%x = getWord($vhud::ctf::Position,0);
	%y = getWord($vhud::ctf::Position,1);
		
	glSetFont( "arial", 10, 0, 9 );
	glColor4ub( 255,  255,  255,  255 );
	switch(Team::Flag::Location(Team::Friendly()))
	{
		case "field":
			glColor4ub( 247,  250,  5,  255 );
			glDrawString(%x + 50, %y + 5, "Dropped "@Team::Flag::Timer(Team::Friendly()));
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x + 30, %y + 5, Team::Score(Team::Friendly()));
			glDrawTexture($vhud::ctf::Texture::Friendly[dropped], $GLEX_DRAW, %x , %y );
			break;
		case "home":
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x + 50, %y + 5, Team::Flag::Location(Team::Friendly()));
			glDrawString(%x + 30, %y + 5, Team::Score(Team::Friendly()));
			glDrawTexture($vhud::ctf::Texture::Friendly[home], $GLEX_DRAW, %x , %y );
			break;		
		default:
			glColor4ub( 255,  0,  0,  255 );
			glDrawString(%x + 50, %y + 5, Client::getName(Team::Flag::Location(Team::Friendly())));
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x + 30, %y + 5, Team::Score(Team::Friendly()));
			glDrawTexture($vhud::ctf::Texture::Friendly[taken], $GLEX_DRAW, %x , %y );
			break;
	}
	switch(Team::Flag::Location(Team::Enemy()))
	{
		case "field":
			glColor4ub( 247,  250,  5,  255 );
			glDrawString(%x + 50 + 175, %y + 5, "Dropped "@Team::Flag::Timer(Team::Enemy()));
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x + 30 + 175, %y + 5, Team::Score(Team::Enemy()));
			glDrawTexture($vhud::ctf::Texture::Friendly[dropped], $GLEX_DRAW, %x  + 175, %y );
			break;
		case "home":
			glDrawString(%x + 50 + 175, %y + 5, Team::Flag::Location(Team::Enemy()));
			glDrawString(%x + 30 + 175, %y + 5, Team::Score(Team::Enemy()));
			glDrawTexture($vhud::ctf::Texture::Enemy[home], $GLEX_DRAW, %x + 175, %y );

			break;		
		default:
			glColor4ub( 0,  255,  0,  255 );
			glDrawString(%x + 50 + 175, %y + 5, Client::getName(Team::Flag::Location(Team::Enemy())));
			glColor4ub( 255,  255,  255,  255 );
			glDrawString(%x + 30 + 175, %y + 5, Team::Score(Team::Enemy()));
			glDrawTexture($vhud::ctf::Texture::Enemy[taken], $GLEX_DRAW, %x +175, %y );
			break;
	}
}

event::attach(eventFlagCaptured, CtfHUD::Cap);
event::attach(eventFlagTaken, CtfHUD::Change);
event::attach(eventFlagDropped, CtfHUD::Change);
event::attach(eventFlagReturned, CtfHUD::Change);

function CtfHUD::Cap(%flagid){
	$Flag::CapTimer[%flagid] = GetSimTime( );
	$Flag::ChangeTimer[%flagid] = GetSimTime( );
}

function CtfHUD::Change(%flagid){
	$Flag::ChangeTimer[%flagid] = GetSimTime( );
}

vhud::ctf::create( );