// ScriptGL VolumeHUD based on & taken from Volume.cs by powdahound, thx brolie

$powda::vols[0] = 0.0;
$powda::vols[1] = 0.1;
$powda::vols[2] = 0.2;
$powda::vols[3] = 0.3;
$powda::vols[4] = 0.4;
$powda::vols[5] = 0.5;
$powda::vols[6] = 0.6;
$powda::vols[7] = 0.7;
$powda::vols[8] = 0.8;
$powda::vols[9] = 0.9;
$powda::vols[10] = 1.0;

$powda::currentvol = 6;	// if you want to start at a different percentage, change this (default is '6' which is 60%)

function powda::volumeup()
{
	// if it can be raised, do it
	if($powda::currentvol+1 <= 10)
	{   
		$powda::currentvol += 1;
		control::setVisible ("ScriptGL::vVolumeHUD", true);
		powda::setvol();
		Schedule::Add("powda::hide();", 3);
	}
	else	// loop around to 0%
	{
		$powda::currentvol = 0;
		control::setVisible ("ScriptGL::vVolumeHUD", true);
		powda::setvol();
		Schedule::Add("powda::hide();", 3);
	}
}

function powda::volumedown()
{
	// if it can be lowered, do it
	if($powda::currentvol-1 >= 0)
	{   
		$powda::currentvol -= 1;
		control::setVisible ("ScriptGL::vVolumeHUD", true);
		powda::setvol();
		Schedule::Add("powda::hide();", 3);
	}
	else	// loop around to 100%
	{
		$powda::currentvol = 10;
		control::setVisible ("ScriptGL::vVolumeHUD", true);
		powda::setvol();
		Schedule::Add("powda::hide();", 3);
	}

}

// set the volume
function powda::setvol() { $pref::sfx3dVolume = $powda::vols[$powda::currentvol]; $pref::sfx2dVolume = $powda::vols[$powda::currentvol]; }
function powda::hide() { control::setVisible ("ScriptGL::vVolumeHUD", false); }
	
//this is the new 1.40 binds menu insert
function powda::addBindsToMenu() after GameBinds::Init
	{
	$GameBinds::CurrentMap = "actionMap.sae";
	$GameBinds::CurrentMapHandle = GameBinds::GetActionMap2( "actionMap.sae" );
	GameBinds::addBindCommand( "Volume UP", "powda::volumeup();", "" );
	GameBinds::addBindCommand( "Volume DOWN", "powda::volumedown();", "" );
	}

// ScriptGL stuff from here on out

function vhud::VolumeHUD::create()
{
	if ( $vVolumeHUD::Loaded )
		return;
		
	$vVolumeHUD::Loaded = true;

	vhud::create( "ScriptGL::vVolumeHUD", "0% 0%", "0% 0%", vhud::vVolumeHUD::render );
	HUD::New("ScriptGL::vVolumeHUD", 565, 0, 100, 100);
}

function vhud::vVolumeHUD::render()
{
	if($Scriptgl::CurrentGui != "playGui")
		return;
		
	if(!Control::getVisible("ScriptGL::vVolumeHUD"))
		return;

	%pos = Control::getposition("ScriptGL::vVolumeHUD");
	%position[x] = getWord(%pos,0);
	%position[y] = getWord(%pos,1);
	%size = Control::getExtent("ScriptGL::vVolumeHUD");
	%size[x] = getWord(%size,0);
	%size[y] = getWord(%size,1);	

	glColor4ub(255,255,255,255);
	glDrawTexture("volbg.png", $GLEX_SCALED, %position[x], %position[y], 1, 1 );
	glDrawTexture("speaker.png", $GLEX_SCALED, %position[x] + 3, %position[y] + 3, 1, 1 );

	%volume = $powda::currentvol ;
	for(%i = 0; %i < %volume; %i++)
	glDrawTexture("white.png", $GLEX_SCALED, %position[x] + 6 + %i*9, %position[y] + 90, 1, 1 );
}

vhud::VolumeHUD::create();
// set the hud to invisible so it's not there all the time
control::setVisible ("ScriptGL::vVolumeHUD", false);