// Grooves ScriptGL config color style changer & keybind
// sets style, prints it and then applies the texture changes
// removing this file will lock huds to the default grey style ?

$Colorchange::Color[1] = "Gray";
$Colorchange::Color[2] = "Black Milk";
$Colorchange::Color[3] = "Grey Milk";
$Colorchange::Color[4] = "BE Red";
$Colorchange::Color[5] = "DS Blue";

$Colorchange::currentstyle = 1;

function Colorchange::styleup()
{
$Colorchange::currentstyle += 1;
if ($Colorchange::currentstyle > 5) $Colorchange::currentstyle = 1;
Colorchange::setstyle();
Colorchange::showstyle();
Colorchange::applystyle();
}

// set the style
function Colorchange::setstyle() {$pref::vhud::Background::style = $Colorchange::Color[$Colorchange::currentstyle];}
// show the style onscreen
function Colorchange::showstyle() { remoteBP(2048, "<jc><L5>HUD Style: <f2>" @ $Colorchange::Color[$Colorchange::currentstyle] @ ".", 5); }
// apply the texture settings changes for the various styles
function Colorchange::applystyle()
{
	switch($pref::vhud::Background::style)
	{
		case "Black Milk":
			Colorchange::style::black(); break;
		case "DS Blue":
			Colorchange::style::blue(); break;
		case "Grey Milk":
			Colorchange::style::milk(); break;
		case "BE Red":
			Colorchange::style::redglow(); break;
		case "Gray":
			Colorchange::style::gray(); break;
		default:
			Colorchange::style::gray(); break;
	}
}

function Colorchange::style::black()
{
$vhud::RepKitHud::Texture::Kit	 = "red_kit.png";
$vhud::Background::Texture::flaghud = "Black_FlagHUD.png";
$vhud::Background::Texture::right = "Black_right.png";
$vhud::ctf::Texture::Friendly[taken]	 = "flag.friend.taken.png";
$vhud::ctf::Texture::Friendly[home]	 = "flag.friend.png";
}

function Colorchange::style::blue()
{
$vhud::RepKitHud::Texture::Kit	 = "blue_kit.png";
$vhud::Background::Texture::flaghud = "Blu_FlagHUD.png";
$vhud::Background::Texture::right = "Blu_right.png";
$vhud::ctf::Texture::Friendly[taken]	 = "blue_flag.friend.taken.png";
$vhud::ctf::Texture::Friendly[home]	 = "blue_flag.friend.png";
}

function Colorchange::style::milk()
{
$vhud::RepKitHud::Texture::Kit	 = "mred_kit.png";
$vhud::Background::Texture::flaghud = "MFlagHUD.png";
$vhud::Background::Texture::right = "Mright.png";
$vhud::ctf::Texture::Friendly[taken]	 = "flag.friend.taken.png";
$vhud::ctf::Texture::Friendly[home]	 = "flag.friend.png";
}

function Colorchange::style::redglow()
{
$vhud::RepKitHud::Texture::Kit	 = "red_kit.png";
$vhud::Background::Texture::flaghud = "rglow_FlagHUD.png";
$vhud::Background::Texture::right = "rglow_right.png";
$vhud::ctf::Texture::Friendly[taken]	 = "flag.friend.taken.png";
$vhud::ctf::Texture::Friendly[home]	 = "flag.friend.png";
}

function Colorchange::style::gray()
{
$vhud::RepKitHud::Texture::Kit	 = "gray_rkit.png";
$vhud::Background::Texture::flaghud = "gray_HUD.png";
$vhud::Background::Texture::right = "gray_right.png";
$vhud::ctf::Texture::Friendly[taken]	 = "flag.friend.taken.png";
$vhud::ctf::Texture::Friendly[home]	 = "flag.friend.png";
}



//hack to insert binds into the menu
function Colorchange::addBindsToMenu() after GameBinds::Init
{
	$GameBinds::CurrentMap = "actionMap.sae";
	$GameBinds::CurrentMapHandle = GameBinds::GetActionMap2( "actionMap.sae" );
	GameBinds::addBindCommand( "Change HUD Style", "Colorchange::styleup();", "" );
}

Event::attach(eventGuiOpen, Colorchange::applystyle);